Bug 176649 - Update cad/calculix to version 2.5
Summary: Update cad/calculix to version 2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-04 21:40 UTC by Pedro F. Giffuni
Modified: 2013-08-16 02:50 UTC (History)
0 users

See Also:


Attachments
file.diff (12.00 KB, patch)
2013-03-04 21:40 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2013-03-04 21:40:00 UTC
New version released with new features.
http://www.dhondt.de/new_calc.htm

While here add the license.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-04 21:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-03-05 02:20:34 UTC
Author: maho
Date: Tue Mar  5 02:20:24 2013
New Revision: 313428
URL: http://svnweb.freebsd.org/changeset/ports/313428

Log:
  Update cad/calculix to version 2.5
  
  PR:		176649
  Submitted by:	pfg@

Modified:
  head/cad/calculix/Makefile
  head/cad/calculix/distinfo
  head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h
  head/cad/calculix/files/patch-ccx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+cgx.h
  head/cad/calculix/pkg-plist

Modified: head/cad/calculix/Makefile
==============================================================================
--- head/cad/calculix/Makefile	Mon Mar  4 23:48:44 2013	(r313427)
+++ head/cad/calculix/Makefile	Tue Mar  5 02:20:24 2013	(r313428)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	CalculiX
-PORTVERSION=	2.4
-PORTREVISION=	2
+PORTVERSION=	2.5
 CATEGORIES=	cad
 MASTER_SITES=	http://www.dhondt.de/
 DISTFILES=	${DIST_SOURCES}
@@ -29,6 +28,8 @@ EXTRACT_ONLY+=	${DIST_EXAMPLES}
 MAINTAINER=	maho@FreeBSD.org
 COMMENT=	A Three-Dimensional Structural Finite Element Program
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	arpack.1:${PORTSDIR}/math/arpack	\
 		spooles.1:${PORTSDIR}/math/spooles \
 		metis.1:${PORTSDIR}/math/metis4	\
@@ -50,7 +51,7 @@ USE_GMAKE=	yes
 USE_XORG=	xmu
 USE_GL=	glut
 
-BROWSER?=	mozilla
+BROWSER?=	firefox
 PSVIEWER?=	gv
 
 .include <bsd.port.pre.mk>

Modified: head/cad/calculix/distinfo
==============================================================================
--- head/cad/calculix/distinfo	Mon Mar  4 23:48:44 2013	(r313427)
+++ head/cad/calculix/distinfo	Tue Mar  5 02:20:24 2013	(r313428)
@@ -1,12 +1,16 @@
-SHA256 (calculix/ccx_2.4.src.tar.bz2) = cadcd0d71bb54c6d61c83ce3aaa7a3fb8c8517d40db3909778797fd05e25e7a4
-SIZE (calculix/ccx_2.4.src.tar.bz2) = 830747
-SHA256 (calculix/cgx_2.4.all.tar.bz2) = c8f7008b9be75110f6c491d1fdf83cf9a4b2c0fbda37a3f2249ea9bdaf825be9
-SIZE (calculix/cgx_2.4.all.tar.bz2) = 1148846
-SHA256 (calculix/ccx_2.4.htm.tar.bz2) = 18c3b3ab7dcedf096c7d2f1320985588fc906fd40755c037b77381459579995e
-SIZE (calculix/ccx_2.4.htm.tar.bz2) = 1499249
-SHA256 (calculix/cgx_2.4.htm.tar.bz2) = 07b0029edcbeea5cfd4755325894100f22e28941e752f44bf72cab91bc3e7044
-SIZE (calculix/cgx_2.4.htm.tar.bz2) = 246556
-SHA256 (calculix/ccx_2.4.ps.tar.bz2) = 522d727ddfd5991ab4de6fa788e554e981223b3a657c6ee18936811c5b2a6805
-SIZE (calculix/ccx_2.4.ps.tar.bz2) = 1908642
-SHA256 (calculix/cgx_2.4.pdf) = e50e23801501bb91d8c3465ffd167cd07e4dbddfda4b6b4b26a8a1ff11463e6a
-SIZE (calculix/cgx_2.4.pdf) = 876897
+SHA256 (calculix/ccx_2.5.src.tar.bz2) = 7b695c8dbcf3b7680dad31d2f5403c3115bc48d526815182245ba4d7986b24a5
+SIZE (calculix/ccx_2.5.src.tar.bz2) = 923149
+SHA256 (calculix/cgx_2.5.all.tar.bz2) = e3654991d527a14917da30f2b7f85382dbce33b5e2db9a67c9a27fc85f6ed319
+SIZE (calculix/cgx_2.5.all.tar.bz2) = 1279480
+SHA256 (calculix/ccx_2.5.htm.tar.bz2) = c1007b4c675d304c451b46520efce9d48f45b722c527c6dfef7bb5140a2684b9
+SIZE (calculix/ccx_2.5.htm.tar.bz2) = 1594504
+SHA256 (calculix/cgx_2.5.htm.tar.bz2) = bfd507c25fdf24faf8c6dcc8c3301d1ce984ea00a93907cd432fe1644c52b445
+SIZE (calculix/cgx_2.5.htm.tar.bz2) = 339355
+SHA256 (calculix/ccx_2.5.ps.tar.bz2) = 15849be1a5e4488216879c3c95e58edf3ae171244888529fbc31e6afa53ced30
+SIZE (calculix/ccx_2.5.ps.tar.bz2) = 2114004
+SHA256 (calculix/cgx_2.5.pdf) = 8795cd1a934512dad22779d638d4bd1e3d8e5d977aa941a1c12c15e80f7694df
+SIZE (calculix/cgx_2.5.pdf) = 1047195
+SHA256 (calculix/ccx_2.5.test.tar.bz2) = 48e428a483e7d099bd19b5ebb2416c29437bad6e5f12dff5eeb4e0fb791756e7
+SIZE (calculix/ccx_2.5.test.tar.bz2) = 7630079
+SHA256 (calculix/cgx_2.5.exa.tar.bz2) = 10e73a42a6730f3d22237175513337117f3ad29bfdb4f6ec0771dbcacac90ba9
+SIZE (calculix/cgx_2.5.exa.tar.bz2) = 185001

Modified: head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h
==============================================================================
--- head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h	Mon Mar  4 23:48:44 2013	(r313427)
+++ head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h	Tue Mar  5 02:20:24 2013	(r313428)
@@ -1,6 +1,15 @@
---- ccx_2.4/src/CalculiX.h.orig	Sun Feb 19 22:25:48 2006
-+++ ccx_2.4/src/CalculiX.h	Sun Feb 19 22:27:54 2006
-@@ -26,6 +26,8 @@
+--- ccx_2.5/src/CalculiX.h.orig	2012-10-06 08:13:06.000000000 -0500
++++ ccx_2.5/src/CalculiX.h	2013-03-04 15:33:04.000000000 -0500
+@@ -15,6 +15,8 @@
+ /*     along with this program; if not, write to the Free Software       */
+ /*     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         */
+ 
++#include <pthread.h>
++
+ #define Linux 1
+ #define IRIX 2
+ #define IRIX64 3
+@@ -26,6 +28,8 @@
  #define FORTRAN(A,B) A##_##B
  #elif ARCH == HP
  #define FORTRAN(A,B) A##B

Modified: head/cad/calculix/files/patch-ccx_VER+src+Makefile
==============================================================================
--- head/cad/calculix/files/patch-ccx_VER+src+Makefile	Mon Mar  4 23:48:44 2013	(r313427)
+++ head/cad/calculix/files/patch-ccx_VER+src+Makefile	Tue Mar  5 02:20:24 2013	(r313428)
@@ -1,10 +1,10 @@
---- ccx_2.4/src/Makefile.orig	2011-03-27 02:19:21.000000000 +0900
-+++ ccx_2.4/src/Makefile	2011-05-11 11:54:16.000000000 +0900
+--- ccx_2.5/src/Makefile.orig	2012-10-06 08:13:07.000000000 -0500
++++ ccx_2.5/src/Makefile	2013-03-02 22:17:29.000000000 -0500
 @@ -1,9 +1,9 @@
  
--CFLAGS = -Wall -O  -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE
+-CFLAGS = -Wall -O3  -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE
 +CFLAGS = -Wall -O3 -I%%LOCALBASE%%/include -I%%LOCALBASE%%/include/spooles -DARCH="FreeBSD" -DSPOOLES -DUSE_MT -DARPACK -DMATRIXSTORAGE
- FFLAGS = -Wall -O -fopenmp
+ FFLAGS = -Wall -O3
  
 -CC=cc
 -FC=gfortran
@@ -22,12 +22,12 @@
 -LIBS = \
 -       $(DIR)/spooles.a \
 -	../../../ARPACK/libarpack_INTEL.a \
--       -lm -lc
+-       -lpthread -lm -lc
 +LIBS = -lspooles -larpack %%BLAS_LIBS%% %%LAPACK_LIBS%% -lm
  
- ccx_2.4: $(OCCXMAIN) ccx_2.4.a  $(LIBS)
--	./date.pl; $(CC) $(CFLAGS) -c ccx_2.4.c; $(FC) -Wall -O -o $@ $(OCCXMAIN) ccx_2.4.a  -lpthread  $(LIBS)
-+	./date.pl; $(CC) $(CFLAGS) -c ccx_2.4.c; $(FC) -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.4.a -lpthread  $(LIBS)
+ ccx_2.5: $(OCCXMAIN) ccx_2.5.a  $(LIBS)
+-	./date.pl; $(CC) $(CFLAGS) -c ccx_2.5.c; $(FC) -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.5.a $(LIBS)
++	./date.pl; $(CC) $(CFLAGS) -c ccx_2.5.c; $(FC) -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.5.a -lpthread  $(LIBS)
  
- ccx_2.4.a: $(OCCXF) $(OCCXC)
+ ccx_2.5.a: $(OCCXF) $(OCCXC)
  	ar vr $@ $?

Modified: head/cad/calculix/files/patch-cgx_VER+src+Makefile
==============================================================================
--- head/cad/calculix/files/patch-cgx_VER+src+Makefile	Mon Mar  4 23:48:44 2013	(r313427)
+++ head/cad/calculix/files/patch-cgx_VER+src+Makefile	Tue Mar  5 02:20:24 2013	(r313428)
@@ -1,5 +1,5 @@
---- cgx_2.4/src/Makefile.orig	2011-03-23 06:14:10.000000000 +0900
-+++ cgx_2.4/src/Makefile	2011-05-11 11:56:10.000000000 +0900
+--- cgx_2.5/src/Makefile.orig	2011-03-23 06:14:10.000000000 +0900
++++ cgx_2.5/src/Makefile	2011-05-11 11:56:10.000000000 +0900
 @@ -1,14 +1,14 @@
  CFLAGS = -O3 -Wall \
    -I./ \

Modified: head/cad/calculix/files/patch-cgx_VER+src+cgx.h
==============================================================================
--- head/cad/calculix/files/patch-cgx_VER+src+cgx.h	Mon Mar  4 23:48:44 2013	(r313427)
+++ head/cad/calculix/files/patch-cgx_VER+src+cgx.h	Tue Mar  5 02:20:24 2013	(r313428)
@@ -1,11 +1,11 @@
---- cgx_2.4/src/cgx.h.orig	2009-08-13 15:58:59.000000000 +0900
-+++ cgx_2.4/src/cgx.h	2009-09-03 15:07:10.000000000 +0900
+--- cgx_2.5/src/cgx.h.orig	2009-08-13 15:58:59.000000000 +0900
++++ cgx_2.5/src/cgx.h	2009-09-03 15:07:10.000000000 +0900
 @@ -86,8 +86,8 @@
                               "/yaprod/cae/application/CalculiX/doc/ccx_2.0/ccx.html"}
    #endif
  #else
--  #define     HELPFILE        {"/usr/local/CalculiX/cgx_2.4/doc/cgx/cgx.html",\
--    "/usr/local/CalculiX/ccx_2.4/doc/ccx/ccx.html"}
+-  #define     HELPFILE        {"/usr/local/CalculiX/cgx_2.5/doc/cgx/cgx.html",\
+-    "/usr/local/CalculiX/ccx_2.5/doc/ccx/ccx.html"}
 +   #define     HELPFILE        {"%%DOCSDIR%%/cgx/cgx.html",\
 +     "%%DOCSDIR%%/ccx/ccx.html"}
  #endif

Modified: head/cad/calculix/pkg-plist
==============================================================================
--- head/cad/calculix/pkg-plist	Mon Mar  4 23:48:44 2013	(r313427)
+++ head/cad/calculix/pkg-plist	Tue Mar  5 02:20:24 2013	(r313428)
@@ -257,9 +257,35 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img1226.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img1227.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img1228.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1229.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img123.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1230.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1231.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1232.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1233.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1234.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1235.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1236.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1237.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1238.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1239.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img124.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1240.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1241.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1242.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1243.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1244.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1245.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1246.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1247.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1248.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1249.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img125.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1250.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1251.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1252.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1253.png
+%%PORTDOCS%%%%DOCSDIR%%/ccx/img1254.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img126.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img127.png
 %%PORTDOCS%%%%DOCSDIR%%/ccx/img128.png
@@ -1777,10 +1803,46 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node59.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node590.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node591.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node592.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node593.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node594.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node595.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node596.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node597.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node598.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node599.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node6.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node60.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node600.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node601.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node602.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node603.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node604.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node605.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node606.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node607.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node608.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node609.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node61.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node610.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node611.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node612.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node613.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node614.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node615.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node616.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node617.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node618.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node619.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node62.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node620.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node621.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node622.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node623.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node624.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node625.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node626.html
+%%PORTDOCS%%%%DOCSDIR%%/ccx/node627.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node63.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node64.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node65.html
@@ -1821,7 +1883,7 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node97.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node98.html
 %%PORTDOCS%%%%DOCSDIR%%/ccx/node99.html
-%%PORTDOCS%%%%DOCSDIR%%/ccx_2.4.ps.gz
+%%PORTDOCS%%%%DOCSDIR%%/ccx_2.5.ps.gz
 %%PORTDOCS%%%%DOCSDIR%%/cgx/WARNINGS
 %%PORTDOCS%%%%DOCSDIR%%/cgx/cgx.css
 %%PORTDOCS%%%%DOCSDIR%%/cgx/cgx.html
@@ -1856,6 +1918,9 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/cgx/img30.png
 %%PORTDOCS%%%%DOCSDIR%%/cgx/img31.png
 %%PORTDOCS%%%%DOCSDIR%%/cgx/img32.png
+%%PORTDOCS%%%%DOCSDIR%%/cgx/img33.png
+%%PORTDOCS%%%%DOCSDIR%%/cgx/img34.png
+%%PORTDOCS%%%%DOCSDIR%%/cgx/img35.png
 %%PORTDOCS%%%%DOCSDIR%%/cgx/img4.png
 %%PORTDOCS%%%%DOCSDIR%%/cgx/img5.png
 %%PORTDOCS%%%%DOCSDIR%%/cgx/img6.png
@@ -1983,6 +2048,10 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node202.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node203.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node204.html
+%%PORTDOCS%%%%DOCSDIR%%/cgx/node205.html
+%%PORTDOCS%%%%DOCSDIR%%/cgx/node206.html
+%%PORTDOCS%%%%DOCSDIR%%/cgx/node207.html
+%%PORTDOCS%%%%DOCSDIR%%/cgx/node208.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node21.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node22.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node23.html
@@ -2069,7 +2138,7 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node97.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node98.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node99.html
-%%PORTDOCS%%%%DOCSDIR%%/cgx_2.4.pdf
+%%PORTDOCS%%%%DOCSDIR%%/cgx_2.5.pdf
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/ISAAC/RAE2822.dat
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/ISAAC/README
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/ISAAC/isaac.fbl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2013-03-18 01:20:06 UTC
Author: maho
Date: Mon Mar 18 01:19:49 2013
New Revision: 314509
URL: http://svnweb.freebsd.org/changeset/ports/314509

Log:
  * Fix pkg-plist for WITH_EXAMPLES case.
  * Update variable in case we want to replace default browser
    or gv (and port revision bumped accordingly).
  
  Submitted by: pfg@
  PR:	176649

Modified:
  head/cad/calculix/Makefile
  head/cad/calculix/pkg-plist

Modified: head/cad/calculix/Makefile
==============================================================================
--- head/cad/calculix/Makefile	Mon Mar 18 00:44:28 2013	(r314508)
+++ head/cad/calculix/Makefile	Mon Mar 18 01:19:49 2013	(r314509)
@@ -1,12 +1,13 @@
 # New ports collection makefile for:	CalculiX
 # Date created:		19 April 2003
-# Whom:			Pedro Giffuni <giffunip@asme.org>
+# Whom:			Pedro Giffuni
 #
 # $FreeBSD$
 #
 
 PORTNAME=	CalculiX
 PORTVERSION=	2.5
+PORTREVISION=	1
 CATEGORIES=	cad
 MASTER_SITES=	http://www.dhondt.de/
 DISTFILES=	${DIST_SOURCES}
@@ -101,8 +102,8 @@ pre-build:
 	@${REINPLACE_CMD} -e 's/c++/${CXX}/g;' \
 		${WRKSRC}/libSNL/src/makefile
 	@${REINPLACE_CMD} -e 's+%%DOCSDIR%%+${DOCSDIR}+g; \
-	s+"mozilla"+"${BROWSER}"+ ; \
-	s+"ghostview"+"${PSVIEWER}"+ ;' \
+	s+"firefox"+"${BROWSER}"+ ; \
+	s+"gv"+"${PSVIEWER}"+ ;' \
 		${WRKSRC}/cgx_${PORTVERSION}/src/cgx.h
 
 do-build:

Modified: head/cad/calculix/pkg-plist
==============================================================================
--- head/cad/calculix/pkg-plist	Mon Mar 18 00:44:28 2013	(r314508)
+++ head/cad/calculix/pkg-plist	Mon Mar 18 01:19:49 2013	(r314509)
@@ -2139,24 +2139,66 @@ bin/cgx
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node98.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx/node99.html
 %%PORTDOCS%%%%DOCSDIR%%/cgx_2.5.pdf
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/ISAAC/RAE2822.dat
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/ISAAC/README
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/ISAAC/isaac.fbl
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/ISAAC/rae2822.fbd
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cgx
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/ccx
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/README
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ISAAC
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ISAAC/RAE2822.hdr
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ISAAC/README
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ISAAC/isaac.fbl
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ccx
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ccx/README
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ccx/rae2822.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ccx/rae2822_penta.dat
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ccx/rae2822_penta.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ccx/rae2822_penta.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ccx/send.fbl
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/ccx/send_penta.fbl
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/airfoil/rae2822.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/basic
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/basic/cylinder.fbd
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/basic/disc.fbd
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/basic/sphere.fbd
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/basic/sphere_seg.fbd
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/basic/sphere_vol.fbd
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/ccx/cyc/ccx.fbl
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/ccx/cyc/lavfmcyc.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/ccx/lavfm.msh
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/ccx/lavfm_cyc.nam
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/ccx/lavfm_cyl.bou
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/cgx/lavfm.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/clean
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/README
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/lavff.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/lavffcyc.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/compressor/send.fbl
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn/README
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn/cgx.patch
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn/mirror
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn/mirror/clean.sh
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn/mirror/dolfyn.cfg
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn/mirror/rename.sh
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn/mirror/spiegel.din
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn/mirror/spiegel.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/dolfyn/mirror/spiegel.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/geometry.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/glue
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/glue/README
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/glue/latjm.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/glue/latjm.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/glue/send.fbl
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/nurbs
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/nurbs/README
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/nurbs/halter.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/pressfit
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/pressfit/README
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/pressfit/flange.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/pressfit/flange.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/pressfit/send.fbl
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/result.frd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/turbine
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/turbine/README
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/turbine/latim.fbd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/turbine/latim.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/turbine/send.fbl
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/achtel2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/achtel2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/achtel29.dat.ref
@@ -2177,12 +2219,20 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/acou1.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/acou2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/acou2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/acou3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/acou3.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/acou4.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/acou4.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/aircolumn.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/aircolumn.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/anipla.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/anipla.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/aniso.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/aniso.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/artery1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/artery1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/artery2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/artery2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/ax6.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/ax6.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/ax6ht.dat.ref
@@ -2193,6 +2243,13 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/axiplane.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/axrad.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/axrad.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/axrad2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/axrad2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/b31.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/b31.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/b31.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/ball.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/ball.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beam10p.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beam10p.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beam20p.dat.ref
@@ -2213,10 +2270,17 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamb.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamcom.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamcom.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamcontact.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamcontact.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamcontact.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamcr.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamcr.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamcr2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamcr2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamd.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamd.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamd2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamd2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdelay.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdelay.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy1.dat.ref
@@ -2229,6 +2293,18 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy12.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy13.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy13.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy14.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy14.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy15.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy15.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy16.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy16.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy17.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy17.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy18.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy18.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy19.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy19.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamdy3.dat.ref
@@ -2249,6 +2325,8 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamf.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamf2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamf2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamfsh1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamfsh1.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamft.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamft.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhf.dat.ref
@@ -2259,16 +2337,28 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhtbo.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhtcr.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhtcr.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhtcr2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhtcr2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhtfc.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhtfc.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhtfc2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamhtfc2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamidset.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamidset.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamisocho1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamisocho1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamisocho2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamisocho2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamlin.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamlin.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beammix.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beammix.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beammr.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beammr.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beammrco.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beammrco.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beammrlin.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beammrlin.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnh.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnh.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnld.dat.ref
@@ -2285,6 +2375,8 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnlmpc.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnlp.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnlp.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnlptp.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnlptp.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnlt.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnlt.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamnoan.dat.ref
@@ -2293,10 +2385,20 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamog.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp1rotate.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp1rotate.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp1rotate.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp2rotate.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp2rotate.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp2rotate.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp2stage.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamp2stage.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampd.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampd.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampdepmpc.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampdepmpc.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampfix.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampfix.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampic.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampic.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampik.dat.ref
@@ -2305,6 +2407,8 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampis.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampiso.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampiso.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampisof.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampisof.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampkin.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampkin.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampl.dat.ref
@@ -2319,8 +2423,16 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampset.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampt.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beampt.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamptied1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamptied1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamptied2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamptied2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamptied3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamptied3.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamrb.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamrb.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamrb2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamrb2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamread.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamread.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamstraight.dat.ref
@@ -2333,59 +2445,297 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamt3.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamt4.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamt4.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamt6.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamt6.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamth.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamth.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamtor.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamtor.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamu.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamu.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamuamp.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamuamp.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamwrite.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/beamwrite.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/bolt.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/bolt.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branch1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branch1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branch2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branch2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchjoint1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchjoint1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchjoint2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchjoint2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchjoint3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchjoint3.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchjoint4.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchjoint4.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchsplit1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchsplit1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchsplit2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchsplit2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchsplit3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/branchsplit3.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/c3d15.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/c3d15.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/c3d6.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/c3d6.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/carbonseal.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/carbonseal.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cent.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cent.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/centheat1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/centheat1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel10.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel10.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel11.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel11.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel12.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel12.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel3.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel4.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel4.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel5.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel5.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel6.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel6.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel7.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel7.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel9.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/channel9.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/chanson1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/chanson1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/characteristic.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/characteristic.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/compare
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/concretebeam.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/concretebeam.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/concretebeam.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact10.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact10.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact10.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact11.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact11.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact11.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact2.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact3.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact4.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact4.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact5.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact5.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact6.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact6.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact7.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact7.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact8.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact8.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact9.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/contact9.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette5.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couette5.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecyl.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecyl.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylsegment.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/couettecylsegment.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cube2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cube2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cubenewt.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cubenewt.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cubespring.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cubespring.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/cubespring.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dam.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dam.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/damper1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/damper1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dashpot1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dashpot1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dashpot2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dashpot2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dashpot3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dashpot3.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/datcheck.pl
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/disk2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/disk2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dist.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dist.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/distcoup.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/distcoup.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dloadlinI.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dloadlinI.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dloadlinIf.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/dloadlinIf.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/edgeload.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/edgeload.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/frdcheck.pl
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/friction1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/friction1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/friction2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/friction2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/fullseg.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/fullseg.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/furnace.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/furnace.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gap.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gap.inp
-%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/numcheck.pl
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe-cfd-pressure.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe-cfd-pressure.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe-fanno10.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe-fanno10.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe-fanno8-oil.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe-fanno8-oil.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe-fanno9.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe-fanno9.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe1-oil.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe1-oil.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe10.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe10.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe8-cfd-massflow.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe8-cfd-massflow.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe8-cfd-pressure.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe8-cfd-pressure.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe8-oil.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe8-oil.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe9.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspipe9.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspres.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/gaspres.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/hueeber1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/hueeber1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/hueeber2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/hueeber2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/inistrain.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/inistrain.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/labyrinth1fin.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/labyrinth1fin.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/labyrinthstepped.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/labyrinthstepped.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/labyrinthstraight.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/labyrinthstraight.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/leifer1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/leifer1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/leifer2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/leifer2.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/leifer2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/linearnet.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/linearnet.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/metalforming.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/metalforming.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/metalformingmortar.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/metalformingmortar.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/moehring.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/moehring.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/mpcforce.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/mpcforce.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/multistage.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/multistage.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel20cf.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel20cf.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel20df.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel20df.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel20fi.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel20fi.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel20rs.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel20rs.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel8ra.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/oneel8ra.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipe.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipe.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipe2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipe2.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipe2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipempc1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipempc1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipempc2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipempc2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipempc3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pipempc3.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/piperestrictor.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/piperestrictor.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestrain.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestrain.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestrain.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestrain2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestrain2.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestrain2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestress.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestress.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestress2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/planestress2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/plate.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/plate.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pois1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pois1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pois2d.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pois2d.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pret1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pret1.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pret1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pret2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/pret2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/punch1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/punch1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/punch2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/punch2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/resstress1.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/resstress1.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/resstress2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/resstress2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/resstress3.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/resstress3.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/restrictor-oil.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/restrictor-oil.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/restrictor.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/restrictor.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/ring1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/ring1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/ring2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/ring2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rot1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rot1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rot2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rot2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rot3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rot3.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rot4.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rot4.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rotor.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/rotor.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/sc123.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/sc123.frd.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/sc123.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2mortar.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2mortar.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/scheibe2mortar.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/section.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/section.frd.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/section.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/section4.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/section4.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/segdyn.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/segdyn.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/segment.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/segment.frd.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/segment.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/segment1.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/segment1.inp
@@ -2400,32 +2750,71 @@ bin/cgx
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/segststate.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/segststate.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell1.frd.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell1lin.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell1lin.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell3.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shell3.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shellbeam.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shellbeam.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shellf.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shellf.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shellf2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shellf2.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shellnor.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/shellnor.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/simplebeam.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/simplebeam.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/simplebeam.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/solidshell1.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/solidshell1.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/solidshell2.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/solidshell2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring3.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring4.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring4.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring5.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/spring5.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/square.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/square.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/submodeltwobeam.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/submodeltwobeam.frd.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/submodeltwobeam.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/swing.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/swing.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/thermomech.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/thermomech.frd.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/thermomech.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/thermomech2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/thermomech2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/twobeam.frd
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/vortex1.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/vortex1.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/vortex2.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/vortex2.inp
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/vortex3.dat.ref
+%%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/vortex3.inp
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/wire.dat.ref
 %%WITH_EXAMPLES%%%%EXAMPLESDIR%%/test/wire.inp
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/cgx
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/ccx
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/turbine
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/test
+%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/pressfit
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/nurbs
-%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/compressor/cgx
-%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/compressor/ccx/cyc
-%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/compressor/ccx
+%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/glue
+%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/dolfyn/mirror
+%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/dolfyn
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/compressor
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/basic
-%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/ISAAC
+%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/airfoil/ISAAC
+%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/airfoil/ccx
+%%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%/airfoil
 %%WITH_EXAMPLES%%@dirrm %%EXAMPLESDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Maho Nakata freebsd_committer 2013-08-16 02:49:46 UTC
State Changed
From-To: open->closed

forgot to close. thanks for your patch!